/* General Styles */
body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

a {
    text-decoration: none;
    color: inherit;
}

/* Navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    background-color: #333;
    padding: 1rem;
}

.nav-link {
    color: white;
    margin: 0 1rem;
}

/* Hero Section */
.hero {
    position: relative;
    width: 100%;
    min-height: 400px;
    overflow: hidden;
}

.hero-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* Cards Section */
.cards-section {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 2rem;
    flex: 1; /* Allow cards section to grow and fill the space */
}

.card {
    max-width: 10%;
    margin: 1rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.2s;
}

.card:hover {
    transform: scale(1.05);
}

.card-image {
    width: 100%;
    height: auto;
}

.card-title {
    padding: 1rem;
    text-align: center;
}


/* Contact Form Section */
.contact-form-section {
    padding: 2rem;
    background-color: #f9f9f9;
    display: flex;
    justify-content: center; /* Center the form horizontally */
}

form {
    width: 100%;
    max-width: 600px; /* Limit the width of the form */
    background-color: #424141; /* Dark background */
    padding: 2rem;
    border-radius: 8px;
    color: #fff; /* White text */
}

.form-title {
    text-align: center;
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
}

form div {
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 0.5rem;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 0.5rem;
    border: 1px solid #444;
    border-radius: 4px;
    background-color: #333;
    color: #fff;
}

input[type="checkbox"],
input[type="radio"] {
    margin-right: 0.5rem;
}

button {
    width: 100%;
    padding: 0.75rem;
    background-color: #1b1b1b;
    border: none;
    border-radius: 4px;
    color: #fff;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #555;
}

/* Footer */
.footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 1rem;
    margin-top: auto; /* Push footer to the bottom */
}

.footer a {
    color: #4CAF50;
}

/* Media Queries */
@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        align-items: center;
    }

    .cards-section {
        flex-direction: column;
        align-items: center;
    }

    .card {
        
        margin: 1rem 0;

        max-width: 100%;
       
    }
}
